Bug 200191 - blkid does not rewrite blkid.tab as documented in the man page.
Summary: blkid does not rewrite blkid.tab as documented in the man page.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-26 02:18 UTC by Russell Coker
Modified: 2009-07-14 16:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:56:43 UTC


Attachments (Terms of Use)

Description Russell Coker 2006-07-26 02:18:10 UTC
The command "blkid -c /dev/null -w /etc/blkid/blkid.tab" is supposed to ignore 
all previous values and regenerate the blkid.tab file.

However instead it preserves the previous values and appends the new ones - 
which given that mount takes the first matching value from the file does 
little good.

Also a solution to the problem of upgrading from FC5 release to the latest 
kernel on S-ATA systems is needed (not sure if e2fsprogs is the appropriate 
place for a fix).  The problem is that /dev/sda1 is cached as the device with 
label /BOOT from the installation, and that it's now /dev/hda1 with the latest 
kernel.

Maybe we should just have blkid.tab regenerated at boot time as soon as root 
is mounted read-write?

Comment 1 Eric Sandeen 2007-09-20 18:41:56 UTC
wow.  blkid actually completely ignores the -w option, at least in recent versions.

Well, it parses it, and sets the "write" variable to a value, and never looks at
it again.  :(

Comment 2 Eric Sandeen 2007-09-20 20:14:16 UTC
FWIW, http://thunk.org/hg/e2fsprogs/?rev/ad62cded89a8 broke this functionality.
(4 years ago)

Comment 3 Bug Zapper 2008-04-04 03:23:14 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 4 Eric Sandeen 2008-04-04 05:15:47 UTC
I can confirm that this is still an issue upstream.

Comment 5 Russell Coker 2008-05-07 01:54:56 UTC
I just tested this on Fedora 8.  It seems that the bug is a little different 
now.  According to strace the 
command "blkid -c /dev/null -w /etc/blkid/blkid.tab" will never 
open /etc/blkid./blkid.tab (the -w option seems to be ignored) and it writes 
the data out to /dev/null.

Comment 6 Bug Zapper 2008-05-14 02:15:23 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-06-09 22:14:03 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-07-14 16:56:43 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.